Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230211 - Assert using "esd" compat daemon
Summary: Assert using "esd" compat daemon
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre Ossman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 14:51 UTC by Bastien Nocera
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 13:20:23 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-02-27 14:51:44 UTC
+++ This bug was initially created as a clone of Bug #230209 +++

pulseaudio-0.9.5-3.fc7
pulseaudio-module-x11-0.9.5-3.fc7
pulseaudio-module-gconf-0.9.5-3.fc7
pulseaudio-module-zeroconf-0.9.5-3.fc7
pulseaudio-esound-compat-0.9.5-3.fc7

# echo -e "remove esound\n install pulseaudio-esound-compat\n run\n quit" | yum
-y shell
(and install some more modules following bug 230206)

$ esd &
[1] 4813
main.c: WARNING: called SUID root, but not in group 'pulse-rt'.
(warning followed in bug 230209)
# Try to play a sound
pulseaudio: modules/module-alsa-sink.c:159: do_write: Assertion
`memchunk->memblock && memchunk->memblock->data && memchunk->length &&
memchunk->memblock->length && (memchunk->length % u->frame_size) == 0' failed.

Comment 1 Bastien Nocera 2007-02-27 16:02:54 UTC
I get this when clicking on the play button next to the "Login" entry.

Assert with debuginfo installed:
Program received signal SIGABRT, Aborted.
[Switching to Thread -1208539456 (LWP 6369)]
0x007b9402 in __kernel_vsyscall ()
(gdb) bt
#0  0x007b9402 in __kernel_vsyscall ()
#1  0x00367f60 in raise () from /lib/libc.so.6
#2  0x003697b1 in abort () from /lib/libc.so.6
#3  0x0036139e in __assert_fail () from /lib/libc.so.6
#4  0x0023533a in fdl_callback (userdata=0x93d6b78) at
modules/module-alsa-sink.c:159
#5  0x0021acd8 in io_cb (a=0x93ceac4, e=0x93d5420, fd=12,
events=PA_IO_EVENT_OUTPUT, userdata=0x93d6d28) at modules/alsa-util.c:100
#6  0x00dc262a in pa_mainloop_dispatch (m=0x93cea80) at pulse/mainloop.c:673
#7  0x00dc2791 in pa_mainloop_iterate (m=0x93cea80, block=1,
retval=0xbff99be0) at pulse/mainloop.c:916
#8  0x00dc2824 in pa_mainloop_run (m=0x93cea80, retval=0xbff99be0) at
pulse/mainloop.c:931
#9  0x0804cd0e in main (argc=Cannot access memory at address 0x18e1
) at daemon/main.c:641

Comment 2 Bastien Nocera 2007-02-27 16:13:29 UTC
Same as upstream: http://pulseaudio.org/ticket/57

But this machine only has one "proper" ALSA device, and I wasn't trying to
switch any outputs, just play back the "Login" sound.

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: I82801DBICH4 [Intel 82801DB-ICH4], device 0: Intel ICH [Intel 82801DB-ICH4]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: I82801DBICH4 [Intel 82801DB-ICH4], device 4: Intel ICH - IEC958 [Intel
82801DB-ICH4 - IEC958]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: Modem [Intel 82801DB-ICH4 Modem], device 0: Intel ICH - Modem [Intel
82801DB-ICH4 Modem - Modem]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


Comment 3 Pierre Ossman 2007-03-01 17:20:11 UTC
Fixed upstream, now I just need to backport the patch to this package.

Comment 4 Pierre Ossman 2007-03-05 13:20:23 UTC
Patch in package.


Note You need to log in before you can comment on or make changes to this bug.